function [ A,B,G,alpha,G_norm ] = DDM_GlobalStretchExpFit( fq_w_Err,t,init_guess_vec,lower_bound_vec,upper_bound_vec,GlobalDefVec )
%UNTITLED6 Summary of this function goes here
%   Detailed explanation goes here

fq = zeros(size(fq_w_Err,1),size(fq_w_Err,2)/2);
fq_err = zeros(size(fq));

A = zeros(size(fq,2),2);
B = zeros(size(A));
G = zeros(size(A));
alpha = zeros(size(A));
G_norm = zeros(size(A));

for i = 1:size(fq,2);
    fq(:,i) = fq_w_Err(:,2*i-1);
    fq_err(:,i) = fq_w_Err(:,2*i);
end

nqfit = size(fq,2);
Input_DDM_GlobalStretchExpFunc = @(VarInput,t) DDM_GlobalStretchExpFunc(VarInput,t,GlobalDefVec,nqfit);

InputVar = repmat(init_guess_vec,nqfit,1);
lb = repmat(lower_bound_vec,nqfit,1);
ub = repmat(upper_bound_vec,nqfit,1);

    [beta,resnorm,residual,exitflag,output,lambda,J] = lsqcurvefit(Input_DDM_GlobalStretchExpFunc,InputVar,t,fq,lb,ub);
    ci = nlparci(beta,residual,'jacobian',J);
    beta_err = reshape(ci(:,2)-ci(:,1),[nqfit,4]);

    A(:,1) = beta(:,1);
    A(:,2) = beta_err(:,1);
    B(:,1) = beta(:,2);
    B(:,2) = beta_err(:,2);
    G(:,1) = beta(:,3);
    G(:,2) = beta_err(:,3);
    alpha(:,1) = beta(:,4);
    alpha(:,2) = beta_err(:,4);
    G_norm(:,1) = G(:,1).*alpha(:,1)./gamma(alpha(:,1).^(-1));
    Aerr = G(:,1).*alpha(:,2).*(alpha(:,1)+psi(1./alpha(:,1)))./(alpha(:,1).*gamma(1./alpha(:,1)));
    Gerr = alpha(:,1).*G(:,2)./gamma(1./alpha(:,1));
    Errtot = sqrt(Aerr.^2+Gerr.^2);
    G_norm(:,2) = Errtot;
    


end

