function [ A,B,G ] = DDM_SingleExpFit( fq_w_Err,t,init_guess_vec,lower_bound_vec,upper_bound_vec )
%UNTITLED6 Summary of this function goes here
%   Detailed explanation goes here

fd2q = zeros(size(fq_w_Err,1),size(fq_w_Err,2)/2);
fq_err = zeros(size(fd2q));

A = zeros(size(fd2q,2),2);
B = zeros(size(A));
G = zeros(size(A));

for i = 1:size(fd2q,2);
    fd2q(:,i) = fq_w_Err(:,2*i-1);
    fq_err(:,i) = fq_w_Err(:,2*i);
end

Input_DDM_SingleExpFunc = @(VarInput,t) DDM_SingleExpFunc(VarInput,t);
for i = 1:size(fd2q,2)
    Input_wWeights = @(WeightInput) sqrt(abs(1./fq_err(:,i))).*(Input_DDM_SingleExpFunc(WeightInput,t)'-fd2q(:,i));
    options = optimoptions('lsqnonlin', 'MaxFunctionEvaluations', 1000);
    [beta,resnorm,residual,exitflag,output,lambda,J] = lsqnonlin(Input_wWeights,init_guess_vec,lower_bound_vec,upper_bound_vec,options);
    ci = nlparci(beta,residual,'jacobian',J,'alpha',1/3);
    beta_err = (ci(:,2)-ci(:,1))/2;

    A(i,1) = beta(1);
    A(i,2) = beta_err(1);
    B(i,1) = beta(2);
    B(i,2) = beta_err(2);
    G(i,1) = beta(3);
    G(i,2) = beta_err(3);
end
    


end

