function [ A,B,G,alpha,G_norm ] = DDM_StretchExpFit( fq_w_Err,t,init_guess_vec,lower_bound_vec,upper_bound_vec, dynamic_fit, fix_baseline )
%UNTITLED6 Summary of this function goes here
%   Detailed explanation goes here

fd2q = zeros(size(fq_w_Err,1),size(fq_w_Err,2)/2);
fq_err = zeros(size(fd2q));

A = zeros(size(fd2q,2),2);
B = zeros(size(A));
G = zeros(size(A));
alpha = zeros(size(A));
G_norm = zeros(size(A));

for i = 1:size(fd2q,2);
    fd2q(:,i) = fq_w_Err(:,2*i-1);
    fq_err(:,i) = fq_w_Err(:,2*i);
end

Input_DDM_StretchExpFunc = @(VarInput,t) DDM_StretchExpFunc(VarInput,t);
for i = 1:size(fd2q,2)
    if dynamic_fit
        init_guess_vec(1) = fd2q(1,i);
        init_guess_vec(2) = fd2q(end-1,i);
    end
    if fix_baseline
        lower_bound_vec(1) = fd2q(1,end)-fq_err(1,end);
        upper_bound_vec(1) = fd2q(1,end)+fq_err(1,end);
    end
    Input_wWeights = @(WeightInput) sqrt(abs(1./fq_err(:,i))).*(Input_DDM_StretchExpFunc(WeightInput,t)'-fd2q(:,i));
    options = optimoptions('lsqnonlin','MaxFunEvals',10000,'MaxIter',1000);
    [beta,resnorm,residual,exitflag,output,lambda,J] = lsqnonlin(Input_wWeights,init_guess_vec,lower_bound_vec,upper_bound_vec,options);
    ci = nlparci(beta,residual,'jacobian',J,'alpha',0.05);
    beta_err = (ci(:,2)-ci(:,1))/2;

    A(i,1) = beta(1);
    A(i,2) = beta_err(1);
    B(i,1) = beta(2);
    B(i,2) = beta_err(2);
    G(i,1) = beta(3);
    G(i,2) = beta_err(3);
    alpha(i,1) = beta(4);
    alpha(i,2) = beta_err(4);
    G_norm(i,1) = G(i,1).*alpha(i,1)./gamma(alpha(i,1).^(-1));
    Aerr = G(i,1).*alpha(i,2).*(alpha(i,1)+psi(1./alpha(i,1)))./(alpha(i,1).*gamma(1./alpha(i,1)));
    Gerr = alpha(i,1).*G(i,2)./gamma(1./alpha(i,1));
    Errtot = sqrt(Aerr.^2+Gerr.^2);
    G_norm(i,2) = Errtot;
end
    


end

