%This program will output an averaged fourier transform for the video
file = '140731_GoldNanorods_5e10ppmL_AOS_120fps_100x_2.avi';
max_m = 13.5;
min_m = 11;
delay_time = 1;
final_time = 2000;
step_size = 10;
movie = VideoReader(file);
frames = movie.NumberOfFrames;
colormap = jet(8);
a = read(movie,1);
b = read(movie,delay_time+1);
fav = 0;
fftmovie = 'GoldRodFFT_Movie.tif';
    for i = 1:200
        av = read(movie,i);
        b = read(movie,i + delay_time);
        ffts = fftshift(log((abs(fft2(b-av))).^2));
        fav = fav + ffts;
%         fprintf(' i = %d \n',i)
    end
fav = fav/i;
fav(fav>max_m) = max_m;
fav(fav<min_m) = min_m;
fav = 8*(fav-min_m)./(max_m-min_m);
imwrite(fav,colormap,fftmovie)

%%
fav = 0;
for delay_time = 1+step_size:step_size:final_time
    tic;
    for i = 1:200
        av = read(movie,i);
        b = read(movie,i + delay_time);
        difference = b-av;
        ffts = fftshift(log((abs(fft2(b-av))).^2));
        fav = fav + ffts;
%         fprintf(' i = %d \n',i)
    end
    fav = fav/i;
    fav(fav>max_m) = max_m;
    fav(fav<min_m) = min_m;
    fav = 8*(fav-min_m)./(max_m-min_m);
    imwrite(fav,colormap,fftmovie,'WriteMode','Append')
    fav = 0;
    fprintf(' Delay time = %d \n', delay_time)
    t = toc;
    fprintf(' Time per iteration = %d \n', round(t))
    fprintf(' Estimated time left = %d \n', round(t*(final_time-delay_time)/step_size));
    
end

fprintf('Completed \n')
