function [ ] = FourierTIF( FMat, image_name, min_logI, max_logI, color_map )
%FourierTIF Appends the log of the Fourier transform to an image
%   The inputs are a matrix of fourier tranform intensities, the image name
%   that will be appended (TIF), the minimum intensity, max intensity, and
%   the colormap desired (8)

    FMatMovie = log(FMat);
    FMatMovie(FMatMovie > max_logI) = max_logI;
    FMatMovie(FMatMovie < min_logI) = min_logI;
    FMatMovie = 8*(FMatMovie - min_logI)./(max_logI-min_logI);
    imwrite(FMatMovie(:,:),color_map,image_name,'Tiff','WriteMode','append');


end

